## azure-cosmos-table-python 1.0.5+git20191025

=== requirements.txt ===
futures;python_version<="2.7"
python-dateutil
requests>=2.9.2
vcrpy
azure-common
cryptography>=1.3.0

=== azure-cosmosdb-table/doc/requirements.txt ===
sphinx
azure-common

=== debian/changelog ===
azure-cosmos-table-python (1.0.5+git20191025-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Apr 2022 19:31:08 -0400

azure-cosmos-table-python (1.0.5+git20191025-5) unstable; urgency=medium

  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:50:04 +0000

azure-cosmos-table-python (1.0.5+git20191025-4) unstable; urgency=medium

  * Add Build-Deps on azure, cryptography and vcr for tests.
  * Enable dh_auto_test and skip tests that need the network.
  * Add patches to fix syntax warnings.
  * Add autopkgtest support.

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Feb 2020 11:43:55 +0000

azure-cosmos-table-python (1.0.5+git20191025-3) unstable; urgency=medium

  * Add import-name to fix autopkgtest

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 09:41:45 +0000

azure-cosmos-table-python (1.0.5+git20191025-2) unstable; urgency=medium

  * Source-only no changes upload.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 09:19:40 +0000

azure-cosmos-table-python (1.0.5+git20191025-1) unstable; urgency=medium

  * Initial release. (Closes: #950800)

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Feb 2020 18:24:26 +0000

=== debian/control ===
Source: azure-cosmos-table-python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-azure <!nocheck>,
               python3-cryptography <!nocheck>,
               python3-pip <!nodoc>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-vcr <!nocheck>,
Standards-Version: 4.6.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-cosmos-table-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-cosmos-table-python
Vcs-Git: https://salsa.debian.org/python-team/packages/azure-cosmos-table-python.git
Testsuite: autopkgtest-pkg-python, autopkgtest

Package: python3-azure-cosmosdb-table
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure CosmosDB services Python SDK
 This package provides a client library in Python that makes it easy to
 consume Microsoft Azure CosmosDB services.

=== debian/rules ===
#!/usr/bin/make -f

# Skip tests that need the internet
export HTTP_PROXY=127.0.0.1:9
export HTTPS_PROXY=127.0.0.1:9
export PYBUILD_TEST_ARGS=-v --deselect=tests/table/test_table.py::test_create_table \
	--deselect tests/table/test_table.py::StorageTableTest::test_create_table \
	--deselect tests/table/test_table.py::StorageTableTest::test_create_table_fail_on_exist \
	--deselect tests/table/test_table.py::StorageTableTest::test_create_table_with_already_existing_table \
	--deselect tests/table/test_table.py::StorageTableTest::test_create_table_with_already_existing_table_fail_on_exist \
	--deselect tests/table/test_table.py::StorageTableTest::test_delete_table_with_existing_table \
	--deselect tests/table/test_table.py::StorageTableTest::test_delete_table_with_existing_table_fail_not_exist \
	--deselect tests/table/test_table.py::StorageTableTest::test_delete_table_with_non_existing_table \
	--deselect tests/table/test_table.py::StorageTableTest::test_delete_table_with_non_existing_table_fail_not_exist \
	--deselect tests/table/test_table.py::StorageTableTest::test_get_table_acl \
	--deselect tests/table/test_table.py::StorageTableTest::test_list_tables \
	--deselect tests/table/test_table.py::StorageTableTest::test_list_tables_with_marker \
	--deselect tests/table/test_table.py::StorageTableTest::test_list_tables_with_num_results \
	--deselect tests/table/test_table.py::StorageTableTest::test_locale \
	--deselect tests/table/test_table.py::StorageTableTest::test_set_table_acl \
	--deselect tests/table/test_table.py::StorageTableTest::test_set_table_acl_too_many_ids \
	--deselect tests/table/test_table.py::StorageTableTest::test_set_table_acl_with_empty_signed_identifier \
	--deselect tests/table/test_table.py::StorageTableTest::test_set_table_acl_with_empty_signed_identifiers \
	--deselect tests/table/test_table.py::StorageTableTest::test_set_table_acl_with_signed_identifiers \
	--deselect tests/table/test_table.py::StorageTableTest::test_table_exists \
	--deselect tests/table/test_table.py::StorageTableTest::test_table_not_exists \
	--deselect tests/table/test_table.py::StorageTableTest::test_unicode_create_table_unicode_name \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_all_operations_together \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_all_operations_together_context_manager \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_delete \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_different_partition_operations_fail \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_insert \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_insert_merge \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_insert_replace \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_inserts \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_merge \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_reuse \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_same_row_operations_fail \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_too_many_ops \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_update \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_update_if_doesnt_match \
	--deselect tests/table/test_table_batch.py::StorageTableBatchTest::test_batch_update_if_match \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_batch_entity_inserts_context_manager \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_encrypt_multiple_properties \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_encrypted_dict \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_encrypted_entity \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_encrypted_entity_encryption_resolver \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_encrypted_entity_key_resolver \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_encrypted_entity_properties_and_resolver \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_entity_invalid_value_kek_unwrap \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_entity_missing_attribute_kek_unwrap \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_entity_no_decryption \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_entity_nonmatching_kid \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_payload_formats \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_strict_mode_no_key \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_get_strict_mode_unencrypted_entity \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_invalid_encryption_operations_fail \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_invalid_encryption_operations_fail_batch \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_property_resolver_decrypt_conflict \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_query_entities_all_properties \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_query_entities_mixed_mode \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_query_entities_projection \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_replace_entity \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_strict_mode_policy_no_encrypted_properties \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_table_ops_ignore_encryption \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_validate_encryption \
	--deselect tests/table/test_table_encryption.py::StorageTableEncryptionTest::test_validate_swapping_properties_fails \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_binary_property_value \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_delete_entity \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_delete_entity_not_existing \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_delete_entity_with_if_doesnt_match \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_delete_entity_with_if_matches \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_empty_and_spaces_property_value \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_get_entity \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_get_entity_full_metadata \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_get_entity_if_match \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_get_entity_no_metadata \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_get_entity_not_existing \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_get_entity_with_property_resolver \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_get_entity_with_property_resolver_invalid \
	--deselect tests/table/test_table_entity.py::StorageTableEntityTest::test_get_entity_with_property_resolver_not_supported \
